.outer {
    width: 100%;
    text-align: center;
}

.inner {
    transition: 0.3s ease-in;
    display: inline-block;
    padding: 20px;
}

.hidden{
    display: none!important;
}

.actions-toolbar {
    text-align: center;
}

.steps-toolbar td {
    border: 1px solid #333;
    padding: 10px;
    text-align: center;
}

.steps-toolbar td.curr /*,
    .steps-toolbar td:hover*/
{
    background: #0f743a;
    color: white;
}

.steps {
    display: none;
    /*margin-top: 70px;*/
}

.steps.current-step {
    display: block;
}

.model-title-span{
    background-color: #3aac5d;
    width: 100%;
    display: block;
    line-height: 2;
    color: white;
    font-weight: bold;
    font-size: 15;
}

.action a {
    font-size: 22px;
    color: #0f743a;
    border: 2px solid #0f743a;
    background-color: #fff;
    border-radius: 100px;
    padding: 1px 60px 2px;
    font-weight: 600;
    transition: 0.1s ease-in;
}

.action a:hover {
    background-color: #0f743a;
    color: #fff;
}

.actions-toolbar {
    display: flex;
    margin: auto;
    margin-top: 20px;
}

.actions-toolbar .action:first-child {
    margin: auto;
   /* margin-right: 5px;*/
}

.actions-toolbar .action:last-child {
    margin-right: auto;
    margin-left: 5px;
}

.group:hover {
    scale: 1.2;
    color: #0f743a;
    cursor: pointer;
}

.row-box {
    display: flex;
    /*height: 100%;*/
}

.left-box {
    flex: 25%;
    background-color: #fff;
}

.left-box-models{
    flex: 25%;
    background-color: #fff;
    border-top: 2px solid rgba(128,128,128,.2);
    border-bottom: 2px solid rgba(128,128,128,.2);
}

.right-box {
    flex: 75%;
    background-image: url("/wp-content/plugins/ainera-duru-modeliavimas/img/wall_tex.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    text-align: center;
    display: -moz-box;
    -moz-box-orient: vertical;
}

.right-box-models{
    flex: 75%;
    background-size: cover;
    text-align: center;
    display: -moz-box;
    -moz-box-orient: vertical;
    background: ghostwhite;
}
.inside-wall{
    background-image: url("/wp-content/plugins/ainera-duru-modeliavimas/img/f5f5f5.png");
}

.filter-single{
    padding: 0 20px;
    text-align: left;
}
.door{
    width: 240px;
    height: 400px;
    background-image: url("/wp-content/plugins/ainera-duru-modeliavimas/img/door-placeholder.png");
    margin: 0 auto;
    /* margin-top: 50px;
    transition: all .1s linear;*/
    background-size: 100% 100%;
    border-width: 15px 15px 7px 15px;
    border-style: solid;
    border-color: black;
    position: relative;
}
.floor{
    height: 85px;
    background-image: url("/wp-content/plugins/ainera-duru-modeliavimas/img/stairs.jpg");
    background-repeat: repeat-x;
    background-size: 460px;
    box-shadow: 0px 0px 0px #888, 1px 4px 9px -6px black inset;
    width: 100%;
}
.inside-wall .floor{
    background-image: url("/wp-content/plugins/ainera-duru-modeliavimas/img/inner-floor.jpg");
}

.inside-wall .door-row{
    background-image: url("/wp-content/plugins/ainera-duru-modeliavimas/img/inner_letev.png");
    background-position-y: bottom;
    background-repeat: repeat-x;
}

.item-slider{
    overflow-x: hidden;
    overflow-y: auto;
    max-height: 573px;
    min-height: 50px;
}

.measurement-section{
    max-height: 479px;
}

.filter-slider{
    overflow-x: hidden;
    overflow-y: auto;
    max-height: 593px;
    min-height: 50px;
}

color-slider{
    max-height: 420px;
}

.item-span{
    display: inline-block;
    /*color: white;*/
    font-size: 12px;
}

.item-span .model-title-span{
    visibility: hidden;
}

.item-span:hover .model-title-span{
    visibility: visible;
}

.item-span:hover{
    scale: 1.1;
}

.item-span img{
    object-fit: contain;
    max-width: 90px;
    margin: 10px;
}

.model-span img{
    margin-bottom: 0 !important;
}

.handle-span img{
    max-height: 130px;
}

.filter-span{
    margin: 10px;
}
.filter-span img{
    object-fit: contain;
    max-width: 160px;
    margin: 10px;
}

.filter-span img{
    object-fit: contain;
    max-width: 160px;
    margin: 10px;
}

.door img{
    max-width: 60px;
    float: left;
    margin: 170px 20px 20px 20px;
}

.loader {
    margin: auto;
    border: 10px solid #f3f3f3; /* Light grey */
    border-top: 10px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 2s linear infinite;
}

.loader-center{
    border: 10px solid #f3f3f3; /* Light grey */
    border-top: 10px solid #3498db; /* Blue */
    border-radius: 50%;
    animation: spin 2s linear infinite;
    position: fixed;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    margin-left: -50px;
    width: 100px;
    height: 100px;
    z-index:9999
}

.sidebar-item{
    text-align: center !important;
}

.doors-configurator button:not(.btn):hover, .doors-configurator button:not(.btn):focus,
.doors-configurator .row-info-btn button:focus {
    color: #00853f;
}

.return-btn{
    float:left;
    margin: 10px;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.selected-mark{
    box-shadow: 0px 0px 10px 0px #3f9361;
    scale: 1.1;
}

.price-box{
    width: 400px;
    height: 220px;
    background: #f8f9fa;
    background: #f8f9fa;
    opacity: 0.8;
    /*border: 6px solid #3f9361;*/
    align-self: center;
    margin-right: 20px;
    color: #404040;
    /* -webkit-box-shadow: 0px 0px 13px 6px rgba(0,0,0,0.5);
     -moz-box-shadow: 0px 0px 13px 6px rgba(0,0,0,0.5);
     box-shadow: 0px 0px 13px 6px rgba(0,0,0,0.5);*/
}

.price-box table{
    /* color: white;*/
    margin: 0 5%;
    width: 90%;
    display: block;
}
.door-row{
    flex-direction: row;
    display: flex;
    position: relative;
    flex-wrap: wrap;
    align-content: end;
    height: 100%;
}

.price-table tbody{
    display: block;
    overflow: auto;
    height: 100px;
    width: 370px;
}



.price-table thead tr{
    display:block;
}

.price-table tfoot tr{
    display:block;
}
.price-table th, .price-table td {
    padding: 5px;
    text-align: left;
    width: 169px;
}

.w3-bar-block.nav-btns button.w3-bar-item{
    border-bottom: 1px solid rgba(128,128,128,.2);
    /* border-left: 2px solid rgba(128,128,128,.2);
     border-right: 2px solid rgba(128,128,128,.2);*/
}
.w3-bar-block.nav-btns{
    background-color: #fafafa;
    border: 2px solid rgba(128,128,128,.2);
    /*border-right: 2px solid rgba(128,128,128,.2);*/
}
.left-box{
    border-top: 2px solid rgba(128,128,128,.2);
    border-bottom: 2px solid rgba(128,128,128,.2);
}
#next.action{
    margin-right: auto;
    margin-left: 5px;
}
.view-switch{
    position: absolute;
    left: 5px;
    top: 5px;
}
.view-switch img {
    width: 53px;
}

.checkbox label:after,
.radio label:after {
    content: '';
    display: table;
    clear: both;
}

.checkbox .cr,
.radio .cr {
    position: relative;
    display: inline-block;
    border: 1px solid #a9a9a9;
    border-radius: .25em;
    width: 1.3em;
    height: 1.3em;
    float: left;
    margin-right: .5em;
}

.radio .cr {
    border-radius: 50%;
}


.checkbox .cr .cr-icon,
.radio .cr .cr-icon {
    position: absolute;
    font-size: .8em;
    line-height: 0;
    top: 49%;
    left: 50%;
    transform: translateX(-50%);
}

.radio .cr .cr-icon {
    margin-left: 0.04em;
}

.checkbox label input[type="checkbox"],
.radio label input[type="radio"] {
    display: none;
}

.checkbox label input[type="checkbox"] + .cr > .cr-icon,
.radio label input[type="radio"] + .cr > .cr-icon {
    transform: translateX(-50%) scale(3) rotateZ(-20deg);
    opacity: 0;
    transition: all .3s ease-in;
}

.checkbox label input[type="checkbox"]:checked + .cr > .cr-icon,
.radio label input[type="radio"]:checked + .cr > .cr-icon {
    transform: translateX(-50%) scale(1) rotateZ(0deg);
    opacity: 1;
}

.checkbox label input[type="checkbox"]:disabled + .cr,
.radio label input[type="radio"]:disabled + .cr {
    opacity: .5;
}

.row-info-btn{
    margin-bottom: 20px;
}

.info-span{
    font-size: 20px;
}
.info-span.with-fa {
    font-size: 10px;
    border: 2px solid #404040;
    border-radius: 50%;
    width: 18px;
    display: inline-block;
    padding: 2px;
    text-align: center;
}

.bar-container{
    width: 100%;
    /*position: absolute;
    z-index: 1;*/
}
.progressbar li{
    float: left;
    width: 33.3%;
    position: relative;
    text-align: center;
}

.progressbar li:before{
    content:"1";
    width: 30px;
    height: 30px;
}

.progressbar li:before{
    content:"1";
    width: 30px;
    height: 30px;
    border: 2px solid #bebebe;
    display: block;
    margin: 0 auto 10px auto;
    border-radius: 50%;
    line-height: 27px;
    background: white;
    color: #bebebe;
    text-align: center;
    font-weight: bold;
}

.progressbar{
    counter-reset: step;
    overflow: auto;
    padding: 0 20px;
}
.progressbar li:before{
    content:counter(step);
    counter-increment: step;
    width: 30px;
    height: 30px;
    border: 2px solid #bebebe;
    display: block;
    margin: 0 auto 10px auto;
    border-radius: 50%;
    line-height: 27px;
    background: white;
    color: #bebebe;
    text-align: center;
    font-weight: bold;
}

.progressbar li:after{
    content: '';
    position: absolute;
    width:100%;
    height: 3px;
    background: #979797;
    top: 15px;
    left: -50%;
    z-index: -1;
}

.progressbar li:first-child:after{
    content: none;
}

.progressbar li.active + li:after{
    background: #3aac5d;
}
.progressbar li.active + li:before{
    border-color: #3aac5d;
    background: #3aac5d;
    color: white
}
.centered-axis-x {
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
}

.addon-img-4, addon-inner-img-4{
    content: "";
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    top: 75%;
    right: 0;
    bottom: 0;
    background-size: cover;
    margin: 0 !important;
}
.addon-img-1, .addon-inner-img-1{
    content: "";
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    top: 3%;
    max-width: 15px !important;
    right: 0;
    bottom: 0;
    background-size: cover;
    margin: 0 !important;
}

.addon-img-2, .addon-inner-img-2{
    content: "";
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    top: 25%;
    max-width: 15px !important;
    right: 0;
    bottom: 0;
    background-size: cover;
    margin: 0 !important;
}

.handle-img{
    content: "";
    position: absolute;
    left: -4%;
    top: 42%;
    right: 0;
    bottom: 0;
    background-size: cover;
    margin: 0 !important;
}

.handle-beam {
    left: 8%;
    top: 9%;
    max-height: 300px;
   /* box-shadow: 5px 2px 5px -2px black;*/
}
.handle-div::before{
    content: " ";
    position: absolute;
    left: 9%;
    top: 9%;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    background-size: contain;
    background-repeat: no-repeat;
    filter: blur(2px);
    z-index: 0;
}


.handle-inner-img{
    content: "";
    position: absolute;
    left: -4%;
    top: 42%;
    right: 0;
    bottom: 0;
    background-size: cover;
    margin: 0 !important;
}

.handle-color-image-span img{
    max-height: 160px;
}

.hinge-img{
    content: "";
    position: absolute;
    /* left: 1%;*/
    top: 9%;
    right: 0;
    bottom: 0;
    background-size: cover;
    margin: 0 !important;
}

.hinge2-img{
    content: "";
    position: absolute;
    /* left: 10%;*/
    /* top: 45%;*/
    right: 0%;
    bottom: 15%;
    background-size: cover;
    margin: 0 !important;
}

.color-row{
    margin: 15px;
}

.icon-box{
    margin:auto;
    width: 40px;
    height: 40px;
    background-color: #999999;
    border-radius: 100px;
    color: white;
    padding: 10px;
    font-size: 19px;
}
.w3-bar-item.w3-button.sidebar-item.active{
    color:#3f9361;
}
.w3-bar-item.w3-button.sidebar-item.active .icon-box{
    background-color: #3f9361;
}
.w3-button:hover{
    color:#3f9361!important;
    background: none!important;
}
.w3-button:hover .icon-box{
    background-color: #3f9361;
}

.door-glass{
    margin: 0 auto;
    margin-top: 140px;
    background-size: auto;
}

.outside-wall.in-left .hinge-img,
.outside-wall.in-left .hinge2-img,
.outside-wall.in-right .hinge-img,
.outside-wall.in-right .hinge2-img{
    display: none;
}
.inside-wall.out-left .hinge-img,
.inside-wall.out-left .hinge2-img,
.inside-wall.out-right .hinge-img,
.inside-wall.out-right .hinge2-img{
    display: none;
}

.outside-wall.out-left #door-container,
.outside-wall.in-right #door-container,
.inside-wall.out-right #door-container,
.inside-wall.in-left #door-container{
    transform: scaleX(-1);
}

.toggle-group .btn {
    line-height: 1.1rem;
}

.doors-configurator .root {
    overflow: auto;
}
.doors-configurator .mobile-section:not(.close-btn) {
    overflow: auto;
    margin: 20px;
}
.doors-configurator #view-selections {
    float: right;
}
.doors-configurator #view-selections:hover {
    background-color: #00853f;
    color: #fff;
}
.doors-configurator .switcher-btn {
    float: left;
}

@media only screen and (min-width: 993px) {
    #door-side-img-box img {
        max-width: 200px;
    }
}

.inner-design{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    position: absolute;
}

.inner-design img, .inner-design svg{
    float:none;
    margin: auto;
    max-width: 100%;
    height: 330px;
    object-fit: cover;
}

.door-main-img{
    float: none;
    margin: auto;
    width: 100%;
    height: 100% !important;
    max-width: 100%;
}

.glass-bg{
    height: 100%;
}

.window{
border: 10px solid black;
}

.window-left{
    float: left;
}

.window-left{
    float: left;
}

.window-right{
    float: left;
}

.system-span img{
    max-width: 50px;
}

.mobile-section{
    display: none;
}

img[src=""], img[src="null"] {
    display: none;
}

.doors-configurator .row-box .w3-sidebar {
    position: relative !important;
    width: auto;
    overflow-y: scroll;
    max-height: 627px;
}

.doors-configurator .return-to-lastconf {
    display: block;
}
.doors-configurator .return-to-lastconf span {
    margin: 0 auto;
}
.doors-configurator .return-to-lastconf div {
    justify-content: center;
}
.doors-configurator .return-to-lastconf input {
    max-width: 200px;
}

@media only screen and (max-width: 1160px) and (min-width: 994px) {
    .price-box {
        width: 300px;
        margin-right: 5px;
    }
}

@media only screen and (max-width: 993px) {
    .right-box{
        display: none;
    }

    .mobile-section{
        display: block;
    }

    .price-box{
        position: absolute;
        left: 0;
        right: 0;
        margin-left: 0;
        margin-right: 0;
        width: 300px;
    }

    .action a {
        padding: 1px 20px 2px;
    }

    .door-row {
        height: auto;
    }
    .doors-configurator .row {
        margin-left: 0;
        margin-right: 0;
    }
}

@media only screen and (max-width: 490px) {
    .doors-configurator .row-box {
        margin-top: 0px;
        flex-wrap: wrap;
    }
    .doors-configurator .row-box > div {
        flex: 100%;
    }
    .doors-configurator .row-box .w3-sidebar {
        width: 100%;
        height: auto;
    }
    .doors-configurator .row-box .w3-button {
        width: 100%;
    }
    .doors-configurator .mobile-section.close-btn {
        text-align: center;
    }
    .doors-configurator .row-box .w3-sidebar .sidebar-item {
        width: 50%;
        float: left;
    }
    .doors-configurator .right-box-models .item-slider {
        width: 100%;
    }
}

.handle-div{
    overflow: hidden;
    height: 100%;
    position: absolute;
    width: 100%;
    top: 50%;
    transform: translateY(-50%);
}

@media only screen and (max-width: 380px) {
    .doors-configurator #view-selections {
        float: unset;
        width: 100%;
        margin-bottom: 10px;
    }
    .doors-configurator #switcher-btn .toggle {
        min-width: 100%;
    }
}

.handle-color-slider{
    height: 255px;
}